summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2023-03-13 16:55:45 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2023-03-13 16:55:45 +0000
commit1dd2d8ec5cee893c5ad432809b7d8351d361d297 (patch)
tree892a19ccfd8f11e5f4a0076f660e09c52d45ddf6 /tests
parentReleasing debian version 4.2+20230304-1. (diff)
downloadmdadm-1dd2d8ec5cee893c5ad432809b7d8351d361d297.tar.xz
mdadm-1dd2d8ec5cee893c5ad432809b7d8351d361d297.zip
Merging upstream version 4.2+20230313.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'tests')
-rw-r--r--tests/00raid5-zero12
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/00raid5-zero b/tests/00raid5-zero
new file mode 100644
index 0000000..7d0f05a
--- /dev/null
+++ b/tests/00raid5-zero
@@ -0,0 +1,12 @@
+
+if mdadm -CfR $md0 -l 5 -n3 $dev0 $dev1 $dev2 --write-zeroes ; then
+ check nosync
+ echo check > /sys/block/md0/md/sync_action;
+ check wait
+elif grep "zeroing [^ ]* failed: Operation not supported" \
+ $targetdir/stderr; then
+ echo "write-zeros not supported, skipping"
+else
+ echo >&2 "ERROR: mdadm return failure without not supported message"
+ exit 1
+fi